<?php defined('SYSPATH') OR die('No direct access allowed.');

class License_Controller extends Authenticated_Controller
{

	public function __construct()
	{
		require_once('/opt/op5sys/lib/php/op5license.php');
		parent::__construct();

		$template = new View('templates/default');
		$template->title = 'op5 Config :: License Configuration';
		$template->content = $view = new View('license');

		$view->license_preview = false;
		$error = null;

		if(isset($_POST['timestamp'])) {
			$_POST['timestamp'] = (int) $_POST['timestamp'];
		}
		$view->license = new op5license();

		if (isset($_POST['action']) && $_POST['action'] == 'upload') {
			$view->timestamp = time();
			$view->license = new op5license($_FILES['license_file']['tmp_name']);
			if($errors = $view->license->get_errors()) {
				$error = $errors['General'];
			} elseif (@move_uploaded_file($_FILES['license_file']['tmp_name'], '/tmp/op5license-tmp-' . $view->timestamp)) {
				$view->license_preview = true;
			} else {
				$error = 'Could not move uploaded file. This should not happen, please try again.';
			}
		} elseif (isset($_POST['action']) && $_POST['action'] == 'install' && isset($_POST['timestamp'])) {
			if (!is_file('/tmp/op5license-tmp-' . $_POST['timestamp'])) {
				$view->msg['error'] = 'Could not find the uploaded file. Aborting.';
			}

			exec('/opt/op5sys/bin/op5license-install /tmp/op5license-tmp-' . $_POST['timestamp'],
				$output, $status);

			if ($status) {
				$error = 'License installation failed! ' . $output[0];
			}
		}

		if($error) {
			$view->errors = (array) $error;
			$template->render(true);
			return;
		}

		$view->products = array();
		if (file_exists('/opt/monitor/bin/monitor')) {
			$view->products[] = 'Monitor';
		}
		if (file_exists('/opt/logserver')) {
			$view->products[] = 'Logserver';
		}

		foreach ($view->products as $product) {
			$view->license->register_product($product);
		}
		$view->license->check();

		if ($view->license_preview) {
			$l = $view->license = new op5license('/tmp/op5license-tmp-' . $view->timestamp);
			foreach ($view->products as $product) {
				$view->license->register_product($product);
			}
			$view->license->check(FALSE);
		}

		if (NULL !== $view->license) {
			$view->license_customer = $view->license->get_customer_info();
		}
		$template->render(TRUE);
	}

	public function index() {}
}
