<?php defined('SYSPATH') OR die('No direct access allowed.');

class Restore_Controller extends OnlyAps_Controller
{
	public function index()
	{
		$model = new Backup_Model();
		$settings = $model->read();

		$template = new View('templates/default');
		$template->title = 'op5 Config :: Restore backup';
		$template->content = new View('restore');

		$template->content->backup_files = $model->get_backup_variants($settings['storagepath']);
		expires::set(1);
		$template->render(TRUE);
	}

	public function restore() {
		$file_path = isset($_POST['restore-file-path']) ? $_POST['restore-file-path'] : FALSE;
		$restore_files_only = isset($_POST['restore-files-only']) ? $_POST['restore-files-only'] : FALSE;

		if (!$file_path || ($file_path == 'not-selected')) {
			print Json::encode(array(
				'status' => false,
				'message' => 'You should select backup file'
			));
			exit();
		}

		$model = new Backup_Model();
		$message = "OK";
		$status = false;
		try {
			$model->restore($file_path, $restore_files_only);
			$status = true;
		} catch(Exception $e) {
			$message = $e->getMessage();
		}
		$reply = array('status' => $status, 'message' => $message);
		print Json::encode($reply);
	}
}
