<?php defined('SYSPATH') OR die('No direct access allowed.'); ?>
<script type="text/javascript">
$(function() {
	helper.helptexts["upload_license"] = "You should have received a license file from op5. If you dont have a op5license.xml file, please contact op5 support.";
});
</script>
<div id="content">
	<?php if ($license_preview): ?>
	<h1>Preview your license information before installing</h1>
	<p>Below you will find a preview of the license file you are trying to install. Please
	review the license file information. If there are no errors and your license information
	appears correct, go to the section "Install license" at the bottom of this page and click
	the <q>Install</q> button.</p>
	<p>If there are any problems with your license file, please contact op5 Support.</p>
	<?php endif; ?>

	<?php if (!empty($errors) || !$license->get_license_file()): ?>
		<h1>License error</h1>
		<?php if (!$license->license_file_exists()): ?>
		<p><strong>There is no license file installed on this system!</strong></p>
		<?php elseif (count($errors) > 0): ?>
		<p><strong>The following problems were encountered when loading your license file:</strong></p>
		<ul><?php
			foreach ($errors as $message)
				echo "<li>{$message}</li>";
		?></ul>
		<?php endif; ?>
		<p>If you have purchased op5 products but have not received a license file, or if
		there are any problems with your installed license file, please contact op5 Support.</p>
		<p>If you need to purchase a new license or upgrade an existing one, please contact
		op5 Sales.<br />
		Purchasing a license will give you the following benefits:</p><ul>
			<li>Professional support, email, telephone and access to support portal</li>
			<li>Automatic updates of new releases</li>
			<li>Access to customized development</li>
			<li>Professional training</li>
			<li>and much more</li>
		</ul>
		<form action="https://shop.op5.com/" method="get">
			<p>
				<input type="submit" value="Buy now" />
			</p>
		</form>
	<?php else: ?>
		<h1>About your op5 Software license</h1>
		<p><strong>This software is licensed to:</strong><br />
		Name: <?php echo utf8_decode($license_customer['CustomerName']); ?><br />
		E-mail: <?php echo $license_customer['CustomerEmail']; ?><br />
		ID: <?php
		echo $license_customer['CustomerNumber'];
		if (isset($license_customer['LicenseKeyNumber']))
			echo '<br />License key number: ' . $license_customer['LicenseKeyNumber'];
		?><br />
		
		License issue date: <?php echo $license_customer['LicenseIssueDate']; ?><br />
		<?php echo (isset($license_customer['LicenseExpireDate'])) ?'License expire date: '.$license_customer['LicenseExpireDate'].'<br />' :''?>
		<?php echo (isset($license_customer['LicenseHosts'])) ?'License hosts: '.$license_customer['LicenseHosts'].'<br />' :''?>
		
		<?php
			if(isset($license_customer['LicenseProducts']))
			{
				echo '<ul>';
				if($license_customer['LicenseProducts']['monitor'])
				{	echo '<li>Monitor';
					echo '<ul>';
					foreach($license_customer['LicenseProducts']['monitor'] as $key=>$value)
					{
						echo "<li>$key : $value </li>";
					}
					echo '</ul><li>';
				}
				
				if(isset($license_customer['LicenseProducts']['logserver']))
				{	echo '<li>Logserver';
					echo '<ul>';
					foreach($license_customer['LicenseProducts']['logserver'] as $key=>$value)
					{
						echo "<li>$key : $value </li>";
					}
				}	
				echo '</ul>';
			}
			echo '<br />';
			if(isset($license_customer['LicenseExtensions']))
			{
				echo '<ul>Extensions';
				foreach($license_customer['LicenseExtensions'] as $item)
					{
						echo '<li>';
						echo isset($item['IssueDate']) ?", IssueDate: {$item['IssueDate']}" :"";
						echo isset($item['ExpireDate']) ?", ExpireDate: {$item['ExpireDate']}" :"";
						echo '</li>';
					}
				echo '</ul>';	
			}
		?>
		
		</p>
		
		
		<?php if (count($products)): ?>
			<?php if ($license_preview): ?>
			<p>The license file you are about to install contains licenses for the following products:</p>
			<?php else: ?>
			<p><strong>You have licenses installed for the following products:</strong></p>
			<?php endif; ?>
			<ul><?php
				$products = $license->get_products();
				foreach ($products as $product)
				{
					echo "<li><strong>op5 {$product['name']}</strong><br />";
					echo "License type: {$product['license_type_str']}<br />";
					if (!$license_preview)
					{
						if ($product['current_usage'] > 0)
							echo "Current usage: {$product['current_usage']} hosts<br />";
						else
							echo 'Current usage: unknown<br />';
					}
					if ($product['license_type'] == OP5LICENSE_TYPE_REGULAR)
						echo "Licensed for: {$product['max_usage']} hosts <br />";
					elseif ($product['license_type'] == OP5LICENSE_TYPE_EVALUATION)
						echo '<strong>This product is licensed for evaluation purposes only!</strong><br />';
					elseif ($product['license_type'] == OP5LICENSE_TYPE_UNLICENSED)
						echo '<strong>There is no license installed for this product!</strong><br />';
					echo '<br /></li>';
				}
			?></ul>
		<?php else: ?>
			<p><strong>You do not have any products installed.</strong></p>
		<?php endif; ?>
	<?php endif; ?>

	<?php if ($license_preview): ?>
	<h1>Install license</h1>
	<p>If the license information above looks correct, press the <q>Install</q> button below to
	install your new license file.</p>
	<form action="/op5config/license" method="post">
		<div>
			<input type="hidden" name="timestamp" value="<?php echo $timestamp; ?>" />
			<input type="hidden" name="action" value="install" />
			<input type="submit" name="install" value="Install" />
		</div>
	</form>
	<?php else: ?>
	<h1>Install new license</h1>
	<p>Install a new license or replace your existing license. Upload your .xml license file using the form below.</p>
	<form action="/op5config/license" method="post" enctype="multipart/form-data">
		<table summary="Upload license">
			<colgroup>
				<col class="td_column_name" />
				<col class="auto" />
			</colgroup>
			<tr>
				<td><a href="#" onclick="help('upload_license')">[?]</a> <label for="upload_license">Upload .xml license file</label></td>
				<td>
					<input type="hidden" name="MAX_FILE_SIZE" value="100000" />
					<input type="file" name="license_file" id="upload_license" value="" size="44" />
				</td>
			</tr>
			<tr class="button dotted-top">
				<td>&nbsp;</td>
				<td>
					<input type="hidden" name="action" value="upload" />
					<input type="submit" value="Upload" />
				</td>
			</tr>
		</table>
	</form>
	<?php endif; ?>
</div>
